summaryrefslogtreecommitdiffstats
path: root/source/n/popa3d/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/popa3d/doinst.sh')
-rw-r--r--source/n/popa3d/doinst.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/source/n/popa3d/doinst.sh b/source/n/popa3d/doinst.sh
new file mode 100644
index 000000000..caadfd59d
--- /dev/null
+++ b/source/n/popa3d/doinst.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# If the pop user/group don't exist, add them:
+if ! grep -q "^pop:" etc/passwd ; then
+ echo "pop:x:90:90:POP:/:" >> /etc/passwd
+fi
+if ! grep -q "^pop:" etc/group ; then
+ echo "pop::90:pop" >> etc/group
+fi
+